La recherche se charge uniquement lorsque vous l’utilisez. Parcourez toutes les catégories ci-dessous.

Programmation et publication

Enregistrer un fil Threads

Enregistrer 2–25 brouillons Threads ordonnés avec des identifiants stables et des contrôles de révision ; ne crée aucune publication.

POST /studio-api/threads-sequences/save

Contrat vérifié : · sha256:11debf801a5e6096

Présentation

Enregistrer 2–25 brouillons Threads ordonnés avec des identifiants stables et des contrôles de révision ; ne crée aucune publication.

Une réponse HTTP réussie peut signifier qu’une requête est acceptée plutôt que terminée. Pour le travail en arrière-plan, conservez l’identifiant renvoyé et suivez la même opération jusqu’à sa fin. Une publication programmée ou acceptée n’est publiée que lorsque la plateforme le confirme ; une expiration côté client ne détermine pas le résultat.

Authentification et autorisations

Types d’identifiants acceptés
user_session, delegated_oauth, personal_access_token
Capacité déléguée
agent:operate
Rôle minimal dans l’espace de travail
editor
Périmètre d’accès
Ressources auxquelles cet utilisateur est autorisé à accéder
Consentement pour tous les espaces requis
Non
Modifie l’état
Oui
Lorsque l’opération est terminée
saved editorial Draft revisions or read-only sequence preview; no provider writes

Un jeton ne peut utiliser que les droits de son propriétaire. Chaque requête vérifie l’appartenance à l’espace, la propriété des ressources, les espaces sélectionnés et les capacités accordées. Les profils core et full modifient les outils affichés ; ils n’accordent aucun accès.

Champs de requête

Requis signifie requis dans l’objet parent et la branche sélectionnée. Un enfant requis ne rend pas obligatoire un parent facultatif. Les règles et noms de champs ci-dessous proviennent du contrat.

Champs de requête
Champ / brancheType / requisContraintes
$objectRequis dans le parent
  • additionalProperties: false
versionnumberRequis dans le parent
  • const: 1
workspace_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
social_account_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
expected_versionintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
mutation_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
itemsarrayRequis dans le parent
  • minItems: 2
  • maxItems: 25
items[]objectFacultatif / élément
  • additionalProperties: false
items[].item_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
items[].draft_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
items[].expected_revisionintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
items[].save_mutation_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
items[].contentobjectRequis dans le parent
  • additionalProperties: false
items[].content.schemaVersionnumberFacultatif / élément
  • const: 1
  • default: 1
items[].content.accountIdsarrayFacultatif / élément
  • maxItems: 50
  • default: []
items[].content.accountIds[]stringFacultatif / élément
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
items[].content.captionstringFacultatif / élément
  • maxLength: 5000
  • default: ""
items[].content.hashtagsstringFacultatif / élément
  • maxLength: 5000
  • default: ""
items[].content.assetIdsarrayFacultatif / élément
  • maxItems: 20
  • default: []
items[].content.assetIds[]stringFacultatif / élément
  • maxLength: 16
  • pattern: "^[1-9][0-9]*$"
items[].content.threadsTextOnlybooleanFacultatif / élément
  • default: false
items[].content.threadsOptionsobjectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.post_typestringFacultatif / élément
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
items[].content.threadsOptions.reply_to_idstringFacultatif / élément
  • maxLength: 128
items[].content.threadsOptions.quote_post_idstringFacultatif / élément
  • maxLength: 128
items[].content.threadsOptions.repost_target_idstringFacultatif / élément
  • maxLength: 128
items[].content.threadsOptions.reply_controlstringFacultatif / élément
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
items[].content.threadsOptions.enable_reply_approvalsbooleanFacultatif / élément—
items[].content.threadsOptions.link_attachmentstringFacultatif / élément
  • maxLength: 2048
items[].content.threadsOptions.poll_attachmentobjectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.poll_attachment.option_astringRequis dans le parent
  • maxLength: 25
items[].content.threadsOptions.poll_attachment.option_bstringRequis dans le parent
  • maxLength: 25
items[].content.threadsOptions.poll_attachment.option_cstringFacultatif / élément
  • maxLength: 25
items[].content.threadsOptions.poll_attachment.option_dstringFacultatif / élément
  • maxLength: 25
items[].content.threadsOptions.gif_attachmentobjectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.gif_attachment.gif_idstringRequis dans le parent
  • maxLength: 128
items[].content.threadsOptions.gif_attachment.providerstringRequis dans le parent
  • const: "GIPHY"
items[].content.threadsOptions.text_attachmentobjectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.text_attachment.plaintextstringRequis dans le parent
  • maxLength: 10000
items[].content.threadsOptions.text_attachment.link_attachment_urlstringFacultatif / élément
  • maxLength: 2048
items[].content.threadsOptions.text_attachment.text_with_styling_infoarrayFacultatif / élément
  • maxItems: 100
items[].content.threadsOptions.text_attachment.text_with_styling_info[]objectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.text_attachment.text_with_styling_info[].offsetintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
items[].content.threadsOptions.text_attachment.text_with_styling_info[].lengthintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
items[].content.threadsOptions.text_attachment.text_with_styling_info[].styling_infoarrayRequis dans le parent
  • minItems: 1
items[].content.threadsOptions.text_attachment.text_with_styling_info[].styling_info[]stringFacultatif / élément
  • enum: ["bold","italic","highlight","underline","strikethrough"]
items[].content.threadsOptions.topic_tagstringFacultatif / élément
  • maxLength: 50
items[].content.threadsOptions.text_entitiesarrayFacultatif / élément
  • maxItems: 10
items[].content.threadsOptions.text_entities[]objectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.text_entities[].entity_typestringRequis dans le parent
  • enum: ["SPOILER","spoiler"]
items[].content.threadsOptions.text_entities[].offsetintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
items[].content.threadsOptions.text_entities[].lengthintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
items[].content.threadsOptions.is_spoiler_mediabooleanFacultatif / élément—
items[].content.threadsOptions.is_ghost_postbooleanFacultatif / élément—
items[].content.threadsOptions.location_idstringFacultatif / élément
  • maxLength: 128
items[].content.threadsOptions.allowlisted_country_codesarrayFacultatif / élément
  • minItems: 1
  • maxItems: 249
items[].content.threadsOptions.allowlisted_country_codes[]stringFacultatif / élément
  • pattern: "^[A-Z]{2}$"
items[].content.threadsOptions.crossreshare_to_igbooleanFacultatif / élément—
items[].content.threadsOptions.crossreshare_to_ig_dark_modebooleanFacultatif / élément—
items[].content.threadsOptions.auto_publish_textbooleanFacultatif / élément—
items[].content.threadsOptions.media_optionsarrayFacultatif / élément
  • maxItems: 20
items[].content.threadsOptions.media_options[]objectFacultatif / élément
  • additionalProperties: false
items[].content.threadsOptions.media_options[].asset_idintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
items[].content.threadsOptions.media_options[].alt_textstringFacultatif / élément
  • minLength: 1
  • maxLength: 1000
items[].content.threadsOptions.media_options[].is_spoiler_mediabooleanFacultatif / élément—
items[].content.instagramModestringFacultatif / élément
  • enum: ["IMAGE","REELS","CAROUSEL","STORY_IMAGE","STORY_VIDEO"]
  • default: "REELS"
items[].content.youtubeTitlestringFacultatif / élément
  • maxLength: 100
  • default: ""
items[].content.youtubePrivacystringFacultatif / élément
  • enum: ["private","unlisted","public"]
  • default: "private"
items[].content.youtubeSyntheticbooleanFacultatif / élément
  • default: false
items[].content.youtubeCategoryIdstringFacultatif / élément
  • maxLength: 32
  • default: ""
items[].content.youtubeShortbooleanFacultatif / élément
  • default: false
items[].content.linkUrlstringFacultatif / élément
  • maxLength: 2048
  • default: ""
items[].content.scheduledAtstringFacultatif / élément
  • maxLength: 64
  • default: ""
items[].content.displayTimezonestringFacultatif / élément
  • minLength: 1
  • maxLength: 128
  • default: "UTC"
items[].content.publishNowbooleanFacultatif / élément
  • default: false
items[].content.destinationOverridesobjectFacultatif / élément
  • default: {}
  • additionalProperties: {"type":"object","properties":{"caption":{"type":"string","maxLength":5000},"scheduledAt":{"type":"string","maxLength":64}},"additionalProperties":false}
items[].content.destinationOverrides.*objectFacultatif / élément
  • additionalProperties: false
items[].content.destinationOverrides.*.captionstringFacultatif / élément
  • maxLength: 5000
items[].content.destinationOverrides.*.scheduledAtstringFacultatif / élément
  • maxLength: 64
items[].content.expiresAtstringFacultatif / élément
  • maxLength: 64
  • default: ""
JSON Schema complet
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "version": {
      "type": "number",
      "const": 1
    },
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "social_account_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "expected_version": {
      "type": "integer",
      "minimum": 0,
      "maximum": 9007199254740991
    },
    "mutation_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "items": {
      "minItems": 2,
      "maxItems": 25,
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "item_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "draft_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "expected_revision": {
            "type": "integer",
            "minimum": 0,
            "maximum": 9007199254740991
          },
          "save_mutation_id": {
            "type": "string",
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
          },
          "content": {
            "type": "object",
            "properties": {
              "schemaVersion": {
                "default": 1,
                "type": "number",
                "const": 1
              },
              "accountIds": {
                "default": [],
                "maxItems": 50,
                "type": "array",
                "items": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                }
              },
              "caption": {
                "default": "",
                "type": "string",
                "maxLength": 5000
              },
              "hashtags": {
                "default": "",
                "type": "string",
                "maxLength": 5000
              },
              "assetIds": {
                "default": [],
                "maxItems": 20,
                "type": "array",
                "items": {
                  "type": "string",
                  "maxLength": 16,
                  "pattern": "^[1-9][0-9]*$"
                }
              },
              "threadsTextOnly": {
                "default": false,
                "type": "boolean"
              },
              "threadsOptions": {
                "type": "object",
                "properties": {
                  "post_type": {
                    "type": "string",
                    "enum": [
                      "TEXT",
                      "IMAGE",
                      "VIDEO",
                      "CAROUSEL",
                      "REPOST"
                    ]
                  },
                  "reply_to_id": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "quote_post_id": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "repost_target_id": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "reply_control": {
                    "type": "string",
                    "enum": [
                      "everyone",
                      "accounts_you_follow",
                      "mentioned_only",
                      "parent_post_author_only",
                      "followers_only"
                    ]
                  },
                  "enable_reply_approvals": {
                    "type": "boolean"
                  },
                  "link_attachment": {
                    "type": "string",
                    "maxLength": 2048
                  },
                  "poll_attachment": {
                    "type": "object",
                    "properties": {
                      "option_a": {
                        "type": "string",
                        "maxLength": 25
                      },
                      "option_b": {
                        "type": "string",
                        "maxLength": 25
                      },
                      "option_c": {
                        "type": "string",
                        "maxLength": 25
                      },
                      "option_d": {
                        "type": "string",
                        "maxLength": 25
                      }
                    },
                    "required": [
                      "option_a",
                      "option_b"
                    ],
                    "additionalProperties": false
                  },
                  "gif_attachment": {
                    "type": "object",
                    "properties": {
                      "gif_id": {
                        "type": "string",
                        "maxLength": 128
                      },
                      "provider": {
                        "type": "string",
                        "const": "GIPHY"
                      }
                    },
                    "required": [
                      "gif_id",
                      "provider"
                    ],
                    "additionalProperties": false
                  },
                  "text_attachment": {
                    "type": "object",
                    "properties": {
                      "plaintext": {
                        "type": "string",
                        "maxLength": 10000
                      },
                      "link_attachment_url": {
                        "type": "string",
                        "maxLength": 2048
                      },
                      "text_with_styling_info": {
                        "maxItems": 100,
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "offset": {
                              "type": "integer",
                              "minimum": 0,
                              "maximum": 9007199254740991
                            },
                            "length": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            },
                            "styling_info": {
                              "minItems": 1,
                              "type": "array",
                              "items": {
                                "type": "string",
                                "enum": [
                                  "bold",
                                  "italic",
                                  "highlight",
                                  "underline",
                                  "strikethrough"
                                ]
                              }
                            }
                          },
                          "required": [
                            "offset",
                            "length",
                            "styling_info"
                          ],
                          "additionalProperties": false
                        }
                      }
                    },
                    "required": [
                      "plaintext"
                    ],
                    "additionalProperties": false
                  },
                  "topic_tag": {
                    "type": "string",
                    "maxLength": 50
                  },
                  "text_entities": {
                    "maxItems": 10,
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "entity_type": {
                          "type": "string",
                          "enum": [
                            "SPOILER",
                            "spoiler"
                          ]
                        },
                        "offset": {
                          "type": "integer",
                          "minimum": 0,
                          "maximum": 9007199254740991
                        },
                        "length": {
                          "type": "integer",
                          "exclusiveMinimum": 0,
                          "maximum": 9007199254740991
                        }
                      },
                      "required": [
                        "entity_type",
                        "offset",
                        "length"
                      ],
                      "additionalProperties": false
                    }
                  },
                  "is_spoiler_media": {
                    "type": "boolean"
                  },
                  "is_ghost_post": {
                    "type": "boolean"
                  },
                  "location_id": {
                    "type": "string",
                    "maxLength": 128
                  },
                  "allowlisted_country_codes": {
                    "minItems": 1,
                    "maxItems": 249,
                    "type": "array",
                    "items": {
                      "type": "string",
                      "pattern": "^[A-Z]{2}$"
                    }
                  },
                  "crossreshare_to_ig": {
                    "type": "boolean"
                  },
                  "crossreshare_to_ig_dark_mode": {
                    "type": "boolean"
                  },
                  "auto_publish_text": {
                    "type": "boolean"
                  },
                  "media_options": {
                    "maxItems": 20,
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "asset_id": {
                          "type": "integer",
                          "exclusiveMinimum": 0,
                          "maximum": 9007199254740991
                        },
                        "alt_text": {
                          "type": "string",
                          "minLength": 1,
                          "maxLength": 1000
                        },
                        "is_spoiler_media": {
                          "type": "boolean"
                        }
                      },
                      "required": [
                        "asset_id"
                      ],
                      "additionalProperties": false
                    }
                  }
                },
                "additionalProperties": false
              },
              "instagramMode": {
                "default": "REELS",
                "type": "string",
                "enum": [
                  "IMAGE",
                  "REELS",
                  "CAROUSEL",
                  "STORY_IMAGE",
                  "STORY_VIDEO"
                ]
              },
              "youtubeTitle": {
                "default": "",
                "type": "string",
                "maxLength": 100
              },
              "youtubePrivacy": {
                "default": "private",
                "type": "string",
                "enum": [
                  "private",
                  "unlisted",
                  "public"
                ]
              },
              "youtubeSynthetic": {
                "default": false,
                "type": "boolean"
              },
              "youtubeCategoryId": {
                "default": "",
                "type": "string",
                "maxLength": 32
              },
              "youtubeShort": {
                "default": false,
                "type": "boolean"
              },
              "linkUrl": {
                "default": "",
                "type": "string",
                "maxLength": 2048
              },
              "scheduledAt": {
                "default": "",
                "type": "string",
                "maxLength": 64
              },
              "displayTimezone": {
                "default": "UTC",
                "type": "string",
                "minLength": 1,
                "maxLength": 128
              },
              "publishNow": {
                "default": false,
                "type": "boolean"
              },
              "destinationOverrides": {
                "default": {},
                "type": "object",
                "propertyNames": {
                  "type": "string",
                  "format": "uuid",
                  "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                },
                "additionalProperties": {
                  "type": "object",
                  "properties": {
                    "caption": {
                      "type": "string",
                      "maxLength": 5000
                    },
                    "scheduledAt": {
                      "type": "string",
                      "maxLength": 64
                    }
                  },
                  "additionalProperties": false
                }
              },
              "expiresAt": {
                "default": "",
                "type": "string",
                "maxLength": 64
              }
            },
            "additionalProperties": false
          }
        },
        "required": [
          "item_id",
          "draft_id",
          "expected_revision",
          "save_mutation_id",
          "content"
        ],
        "additionalProperties": false
      }
    }
  },
  "required": [
    "version",
    "workspace_id",
    "id",
    "social_account_id",
    "expected_version",
    "mutation_id",
    "items"
  ],
  "additionalProperties": false
}

Réponse et achèvement

Statuts HTTP de réussite : 200. Lorsque l’opération est terminée : saved editorial Draft revisions or read-only sequence preview; no provider writes.

Une réponse HTTP réussie peut signifier qu’une requête est acceptée plutôt que terminée. Pour le travail en arrière-plan, conservez l’identifiant renvoyé et suivez la même opération jusqu’à sa fin. Une publication programmée ou acceptée n’est publiée que lorsque la plateforme le confirme ; une expiration côté client ne détermine pas le résultat.

Requis signifie requis dans l’objet parent et la branche sélectionnée. Un enfant requis ne rend pas obligatoire un parent facultatif. Les règles et noms de champs ci-dessous proviennent du contrat.

Réponse et achèvement
Champ / brancheType / requisContraintes
$objectRequis dans le parent—
sequenceobjectRequis dans le parent—
sequence.workspace_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.social_account_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.versionintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.statestringRequis dans le parent
  • enum: ["draft","admitted","cancelled"]
sequence.item_countintegerRequis dans le parent
  • minimum: 2
  • maximum: 25
sequence.caption_previewstringRequis dans le parent
  • maxLength: 500
sequence.created_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.updated_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.itemsarrayRequis dans le parent
  • minItems: 2
  • maxItems: 25
sequence.items[]objectFacultatif / élément—
sequence.items[].item_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].ordinalintegerRequis dans le parent
  • minimum: 1
  • maximum: 25
sequence.items[].draftobjectRequis dans le parent—
sequence.items[].draft.idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.workspace_idstringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.revisionintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.statestringRequis dans le parent
  • enum: ["draft","submitting","submitted"]
sequence.items[].draft.contentobjectRequis dans le parent—
sequence.items[].draft.content.schemaVersionnumberRequis dans le parent
  • const: 1
  • default: 1
sequence.items[].draft.content.accountIdsarrayRequis dans le parent
  • maxItems: 50
  • default: []
sequence.items[].draft.content.accountIds[]stringFacultatif / élément
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.content.captionstringRequis dans le parent
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.hashtagsstringRequis dans le parent
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.assetIdsarrayRequis dans le parent
  • maxItems: 20
  • default: []
sequence.items[].draft.content.assetIds[]stringFacultatif / élément
  • maxLength: 16
  • pattern: "^[1-9][0-9]*$"
sequence.items[].draft.content.threadsTextOnlybooleanRequis dans le parent
  • default: false
sequence.items[].draft.content.threadsOptionsobjectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.post_typestringFacultatif / élément
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
sequence.items[].draft.content.threadsOptions.reply_to_idstringFacultatif / élément
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.quote_post_idstringFacultatif / élément
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.repost_target_idstringFacultatif / élément
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.reply_controlstringFacultatif / élément
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
sequence.items[].draft.content.threadsOptions.enable_reply_approvalsbooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.link_attachmentstringFacultatif / élément
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.poll_attachmentobjectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.poll_attachment.option_astringRequis dans le parent
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_bstringRequis dans le parent
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_cstringFacultatif / élément
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_dstringFacultatif / élément
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.gif_attachmentobjectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.gif_attachment.gif_idstringRequis dans le parent
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.gif_attachment.providerstringRequis dans le parent
  • const: "GIPHY"
sequence.items[].draft.content.threadsOptions.text_attachmentobjectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.text_attachment.plaintextstringRequis dans le parent
  • maxLength: 10000
sequence.items[].draft.content.threadsOptions.text_attachment.link_attachment_urlstringFacultatif / élément
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_infoarrayFacultatif / élément
  • maxItems: 100
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[]objectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].offsetintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].lengthintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_infoarrayRequis dans le parent
  • minItems: 1
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_info[]stringFacultatif / élément
  • enum: ["bold","italic","highlight","underline","strikethrough"]
sequence.items[].draft.content.threadsOptions.topic_tagstringFacultatif / élément
  • maxLength: 50
sequence.items[].draft.content.threadsOptions.text_entitiesarrayFacultatif / élément
  • maxItems: 10
sequence.items[].draft.content.threadsOptions.text_entities[]objectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.text_entities[].entity_typestringRequis dans le parent
  • enum: ["SPOILER","spoiler"]
sequence.items[].draft.content.threadsOptions.text_entities[].offsetintegerRequis dans le parent
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_entities[].lengthintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.is_spoiler_mediabooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.is_ghost_postbooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.location_idstringFacultatif / élément
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.allowlisted_country_codesarrayFacultatif / élément
  • minItems: 1
  • maxItems: 249
sequence.items[].draft.content.threadsOptions.allowlisted_country_codes[]stringFacultatif / élément
  • pattern: "^[A-Z]{2}$"
sequence.items[].draft.content.threadsOptions.crossreshare_to_igbooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.crossreshare_to_ig_dark_modebooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.auto_publish_textbooleanFacultatif / élément—
sequence.items[].draft.content.threadsOptions.media_optionsarrayFacultatif / élément
  • maxItems: 20
sequence.items[].draft.content.threadsOptions.media_options[]objectFacultatif / élément—
sequence.items[].draft.content.threadsOptions.media_options[].asset_idintegerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.media_options[].alt_textstringFacultatif / élément
  • minLength: 1
  • maxLength: 1000
sequence.items[].draft.content.threadsOptions.media_options[].is_spoiler_mediabooleanFacultatif / élément—
sequence.items[].draft.content.instagramModestringRequis dans le parent
  • enum: ["IMAGE","REELS","CAROUSEL","STORY_IMAGE","STORY_VIDEO"]
  • default: "REELS"
sequence.items[].draft.content.youtubeTitlestringRequis dans le parent
  • maxLength: 100
  • default: ""
sequence.items[].draft.content.youtubePrivacystringRequis dans le parent
  • enum: ["private","unlisted","public"]
  • default: "private"
sequence.items[].draft.content.youtubeSyntheticbooleanRequis dans le parent
  • default: false
sequence.items[].draft.content.youtubeCategoryIdstringRequis dans le parent
  • maxLength: 32
  • default: ""
sequence.items[].draft.content.youtubeShortbooleanRequis dans le parent
  • default: false
sequence.items[].draft.content.linkUrlstringRequis dans le parent
  • maxLength: 2048
  • default: ""
sequence.items[].draft.content.scheduledAtstringRequis dans le parent
  • maxLength: 64
  • default: ""
sequence.items[].draft.content.displayTimezonestringRequis dans le parent
  • minLength: 1
  • maxLength: 128
  • default: "UTC"
sequence.items[].draft.content.publishNowbooleanRequis dans le parent
  • default: false
sequence.items[].draft.content.destinationOverridesobjectRequis dans le parent
  • default: {}
  • additionalProperties: {"type":"object","properties":{"caption":{"type":"string","maxLength":5000},"scheduledAt":{"type":"string","maxLength":64}}}
sequence.items[].draft.content.destinationOverrides.*objectFacultatif / élément—
sequence.items[].draft.content.destinationOverrides.*.captionstringFacultatif / élément
  • maxLength: 5000
sequence.items[].draft.content.destinationOverrides.*.scheduledAtstringFacultatif / élément
  • maxLength: 64
sequence.items[].draft.content.expiresAtstringRequis dans le parent
  • maxLength: 64
  • default: ""
sequence.items[].draft.created_bystring | nullRequis dans le parent—
sequence.items[].draft.created_byanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.created_byanyOf 2nullRequis dans le parent—
sequence.items[].draft.updated_bystring | nullRequis dans le parent—
sequence.items[].draft.updated_byanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.updated_byanyOf 2nullRequis dans le parent—
sequence.items[].draft.created_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.updated_atstringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submissionobject | nullRequis dans le parent—
sequence.items[].draft.submissionanyOf 1objectRequis dans le parent—
sequence.items[].draft.submission.idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.expected_revisionanyOf 1integerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.submission.started_atanyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submission.receiptanyOf 1object | nullRequis dans le parent—
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 1objectRequis dans le parent—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1string | nullRequis dans le parent—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.submission.receipt.successesanyOf 1 / anyOf 1arrayRequis dans le parent
  • maxItems: 50
sequence.items[].draft.submission.receipt.successes[]anyOf 1 / anyOf 1objectFacultatif / élément—
sequence.items[].draft.submission.receipt.successes[].social_account_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.successes[].post_idanyOf 1 / anyOf 1stringRequis dans le parent
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].draft.submission.receipt.failuresanyOf 1 / anyOf 1arrayRequis dans le parent
  • maxItems: 50
sequence.items[].draft.submission.receipt.failures[]anyOf 1 / anyOf 1objectFacultatif / élément—
sequence.items[].draft.submission.receipt.failures[].social_account_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.failures[].codeanyOf 1 / anyOf 1stringRequis dans le parent
  • minLength: 1
  • maxLength: 160
sequence.items[].draft.submission.receipt.failures[].messageanyOf 1 / anyOf 1stringRequis dans le parent
  • maxLength: 2000
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.submissionanyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_contextobject | nullFacultatif / élément—
sequence.items[].draft.brand_contextanyOf 1objectFacultatif / élément—
sequence.items[].draft.brand_context.workspace_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selectionanyOf 1objectRequis dans le parent—
sequence.items[].draft.brand_context.selection.profile_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.version_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.revisionanyOf 1integerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.brand_context.selection.content_digestanyOf 1stringRequis dans le parent
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.selection.context_digestanyOf 1stringRequis dans le parent
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.availabilityanyOf 1stringRequis dans le parent
  • enum: ["available","missing"]
sequence.items[].draft.brand_context.profile_stateanyOf 1string | nullRequis dans le parent—
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 1stringRequis dans le parent
  • enum: ["active","archived"]
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_context.contentanyOf 1object | nullRequis dans le parent—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 1objectRequis dans le parent—
sequence.items[].draft.brand_context.content.nameanyOf 1 / anyOf 1stringRequis dans le parent
  • maxLength: 120
sequence.items[].draft.brand_context.content.audienceanyOf 1 / anyOf 1stringRequis dans le parent
  • maxLength: 2000
sequence.items[].draft.brand_context.content.voiceanyOf 1 / anyOf 1stringRequis dans le parent
  • maxLength: 2000
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1string | nullRequis dans le parent—
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 1stringRequis dans le parent
  • minLength: 1
  • maxLength: 64
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_context.content.preferred_termsanyOf 1 / anyOf 1arrayRequis dans le parent
  • maxItems: 50
sequence.items[].draft.brand_context.content.preferred_terms[]anyOf 1 / anyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.prohibited_termsanyOf 1 / anyOf 1arrayRequis dans le parent
  • maxItems: 50
sequence.items[].draft.brand_context.content.prohibited_terms[]anyOf 1 / anyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.locked_factsanyOf 1 / anyOf 1arrayRequis dans le parent
  • maxItems: 50
sequence.items[].draft.brand_context.content.locked_facts[]anyOf 1 / anyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 500
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1string | nullRequis dans le parent—
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 1stringRequis dans le parent
  • maxLength: 1000
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_context.sourcesanyOf 1objectRequis dans le parent—
sequence.items[].draft.brand_context.sources.websiteanyOf 1stringRequis dans le parent
  • enum: ["available","not_available"]
sequence.items[].draft.brand_context.sources.logoanyOf 1stringRequis dans le parent
  • enum: ["none","present","missing"]
sequence.items[].draft.brand_context.sources.own_postsanyOf 1objectRequis dans le parent—
sequence.items[].draft.brand_context.sources.own_posts.selectedanyOf 1integerRequis dans le parent
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.availableanyOf 1integerRequis dans le parent
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.unavailableanyOf 1integerRequis dans le parent
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.erasedanyOf 1integerRequis dans le parent
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_contextanyOf 2nullFacultatif / élément—
sequence.items[].draft.brand_reviewobject | nullFacultatif / élément—
sequence.items[].draft.brand_reviewanyOf 1objectFacultatif / élément—
sequence.items[].draft.brand_review.rule_versionanyOf 1numberRequis dans le parent
  • const: 1
sequence.items[].draft.brand_review.context_digestanyOf 1stringRequis dans le parent
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.content_digestanyOf 1stringRequis dans le parent
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.statusanyOf 1stringRequis dans le parent
  • enum: ["clear","attention","unavailable"]
sequence.items[].draft.brand_review.issuesanyOf 1arrayRequis dans le parent
  • maxItems: 5151
sequence.items[].draft.brand_review.issues[]anyOf 1objectFacultatif / élément—
sequence.items[].draft.brand_review.issues[].codeanyOf 1stringRequis dans le parent
  • enum: ["prohibited_term","locked_fact_missing","conflicting_rule","context_unavailable"]
sequence.items[].draft.brand_review.issues[].targetanyOf 1stringRequis dans le parent
  • minLength: 1
  • maxLength: 80
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1integer | nullRequis dans le parent—
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 1integerRequis dans le parent
  • minimum: 0
  • maximum: 49
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].draft.brand_review.issues[].messageanyOf 1stringRequis dans le parent
  • minLength: 1
  • maxLength: 240
sequence.items[].draft.brand_reviewanyOf 2nullFacultatif / élément—
sequence.items[].predecessor_post_idstring | nullRequis dans le parent—
sequence.items[].predecessor_post_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].predecessor_post_idanyOf 2nullRequis dans le parent—
sequence.items[].postobject | nullRequis dans le parent—
sequence.items[].postanyOf 1objectRequis dans le parent—
sequence.items[].post.idanyOf 1stringRequis dans le parent
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].post.workspace_idanyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.social_account_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.platformanyOf 1stringRequis dans le parent
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destinationanyOf 1objectRequis dans le parent—
sequence.items[].post.destination.social_account_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.destination.platformanyOf 1stringRequis dans le parent
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destination.platform_user_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.destination.account_labelanyOf 1string | nullRequis dans le parent—
sequence.items[].post.captionanyOf 1string | nullRequis dans le parent—
sequence.items[].post.hashtagsanyOf 1arrayRequis dans le parent—
sequence.items[].post.hashtags[]anyOf 1stringFacultatif / élément—
sequence.items[].post.mediaanyOf 1arrayRequis dans le parent—
sequence.items[].post.media[]anyOf 1objectFacultatif / élément—
sequence.items[].post.media[].kindanyOf 1stringRequis dans le parent
  • enum: ["image","video"]
sequence.items[].post.media[].urlanyOf 1stringRequis dans le parent
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1string | nullFacultatif / élément—
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 1stringFacultatif / élément
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].cover_asset_idanyOf 1integer | nullFacultatif / élément—
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 1integerFacultatif / élément
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].asset_idanyOf 1integer | nullFacultatif / élément—
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 1integerFacultatif / élément
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].mime_typeanyOf 1string | nullFacultatif / élément—
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 160
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].preview_urlanyOf 1string | nullFacultatif / élément

URL de lecture temporaire autorisée ; conservez url comme identité persistante du média Scheduled Post.

—
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 1stringFacultatif / élément
  • format: "uri"
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].cover_preview_urlanyOf 1string | nullFacultatif / élément

URL temporaire autorisée de lecture de couverture ; conservez cover_url comme identité persistante du média.

—
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 1stringFacultatif / élément
  • format: "uri"
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.media[].preview_expires_atanyOf 1string | nullFacultatif / élément—
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 1stringFacultatif / élément
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.link_urlanyOf 1string | nullFacultatif / élément—
sequence.items[].post.link_urlanyOf 1 / anyOf 1stringFacultatif / élément
  • format: "uri"
sequence.items[].post.link_urlanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.publish_optionsanyOf 1objectRequis dans le parent—
sequence.items[].post.publish_options.post_typeanyOf 1stringFacultatif / élément
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
sequence.items[].post.publish_options.location_idanyOf 1stringFacultatif / élément
  • minLength: 1
sequence.items[].post.publish_options.share_to_feedanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.collaboratorsanyOf 1arrayFacultatif / élément
  • maxItems: 3
sequence.items[].post.publish_options.collaborators[]anyOf 1stringFacultatif / élément
  • minLength: 1
sequence.items[].post.publish_options.first_commentanyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 2200
sequence.items[].post.publish_options.topic_taganyOf 1stringFacultatif / élément
  • minLength: 1
sequence.items[].post.publish_options.thumb_offset_msanyOf 1integerFacultatif / élément
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].post.publish_options.titleanyOf 1stringFacultatif / élément
  • maxLength: 255
sequence.items[].post.publish_options.youtube_privacy_statusanyOf 1stringFacultatif / élément
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.youtube_category_idanyOf 1stringFacultatif / élément
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.youtube_contains_synthetic_mediaanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.descriptionanyOf 1stringFacultatif / élément
  • maxLength: 5000
sequence.items[].post.publish_options.category_idanyOf 1stringFacultatif / élément
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.privacy_statusanyOf 1stringFacultatif / élément
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.cancellation_modeanyOf 1stringFacultatif / élément
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
sequence.items[].post.publish_options.tagsanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.tags[]anyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.default_languageanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.localizationsanyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.localizations.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.licenseanyOf 1stringFacultatif / élément
  • enum: ["youtube","creativeCommon"]
sequence.items[].post.publish_options.embeddableanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.public_stats_viewableanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.self_declared_made_for_kidsanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.contains_synthetic_mediaanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.has_paid_product_placementanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.recording_dateanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.notify_subscribersanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.thumbnail_asset_idanyOf 1integerFacultatif / élément
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.surface_expectationanyOf 1stringFacultatif / élément
  • const: "SHORT"
sequence.items[].post.publish_options.brand_partneranyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.brand_partner.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.cover_asset_idanyOf 1integerFacultatif / élément
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.audio_nameanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.trial_paramsanyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.trial_params.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.is_ai_generatedanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.branded_content_sponsor_idsanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.branded_content_sponsor_ids[]anyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.is_paid_partnershipanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.media_optionsanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.media_options[]anyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.media_options[].*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.reply_to_idanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.quote_post_idanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.repost_target_idanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.reply_controlanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.enable_reply_approvalsanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.link_attachmentanyOf 1stringFacultatif / élément
  • format: "uri"
sequence.items[].post.publish_options.poll_attachmentanyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.poll_attachment.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.gif_attachmentanyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.gif_attachment.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.text_attachmentanyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.text_attachment.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.text_entitiesanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.text_entities[]anyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.text_entities[].*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.is_spoiler_mediaanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.is_ghost_postanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.allowlisted_country_codesanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.allowlisted_country_codes[]anyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.crossreshare_to_iganyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.crossreshare_to_ig_dark_modeanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.auto_publish_textanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.publication_modeanyOf 1stringFacultatif / élément
  • enum: ["PUBLISH","DRAFT"]
sequence.items[].post.publish_options.backdated_timeanyOf 1numberFacultatif / élément—
sequence.items[].post.publish_options.backdated_time_granularityanyOf 1stringFacultatif / élément
  • enum: ["year","month","day","hour","minute"]
sequence.items[].post.publish_options.placeanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.feed_targetinganyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.feed_targeting.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.targetinganyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.targeting.*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.child_attachmentsanyOf 1arrayFacultatif / élément—
sequence.items[].post.publish_options.child_attachments[]anyOf 1objectFacultatif / élément
  • additionalProperties: {}
sequence.items[].post.publish_options.child_attachments[].*anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.publish_options.multi_share_end_cardanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.multi_share_optimizedanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.unpublished_content_typeanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.no_storyanyOf 1booleanFacultatif / élément—
sequence.items[].post.publish_options.crossposted_video_idanyOf 1stringFacultatif / élément—
sequence.items[].post.publish_options.sphericalanyOf 1booleanFacultatif / élément—
sequence.items[].post.scheduled_atanyOf 1stringRequis dans le parent—
sequence.items[].post.display_timezoneanyOf 1stringRequis dans le parent
  • minLength: 1
  • maxLength: 80
sequence.items[].post.local_scheduled_atanyOf 1string | nullFacultatif / élément—
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 1stringFacultatif / élément
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.schedule_timezoneanyOf 1string | nullFacultatif / élément—
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 1stringFacultatif / élément
  • minLength: 1
  • maxLength: 80
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.schedule_dst_disambiguationanyOf 1string | nullFacultatif / élément—
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 1stringFacultatif / élément
  • enum: ["exact","earlier","later"]
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 2nullFacultatif / élément—
sequence.items[].post.schedule_intent_stateanyOf 1stringFacultatif / élément
  • enum: ["verified","legacy_unverified"]
sequence.items[].post.expires_atanyOf 1string | nullRequis dans le parent—
sequence.items[].post.statusanyOf 1stringRequis dans le parent
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
sequence.items[].post.versionanyOf 1integerRequis dans le parent
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.automatic_retry_enabledanyOf 1booleanRequis dans le parent—
sequence.items[].post.delete_requested_atanyOf 1string | nullRequis dans le parent—
sequence.items[].post.deletionanyOf 1objectFacultatif / élément—
sequence.items[].post.deletion.stateanyOf 1stringRequis dans le parent
  • enum: ["pending","retry_scheduled","failed","unconfirmed","confirmed","unpublished_cancelled"]
sequence.items[].post.deletion.retry_atanyOf 1string | nullRequis dans le parent—
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.published_atanyOf 1string | nullRequis dans le parent—
sequence.items[].post.deleted_atanyOf 1string | nullRequis dans le parent—
sequence.items[].post.provider_post_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.permalinkanyOf 1string | nullRequis dans le parent—
sequence.items[].post.permalinkanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uri"
sequence.items[].post.permalinkanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.created_atanyOf 1stringRequis dans le parent—
sequence.items[].post.updated_atanyOf 1stringRequis dans le parent—
sequence.items[].post.project_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.project_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.project_idanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.batch_idanyOf 1string | nullRequis dans le parent—
sequence.items[].post.batch_idanyOf 1 / anyOf 1stringRequis dans le parent
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.batch_idanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].post.source_refanyOf 1object | nullRequis dans le parent—
sequence.items[].post.source_refanyOf 1 / anyOf 1objectRequis dans le parent
  • additionalProperties: {}
sequence.items[].post.source_ref.*anyOf 1 / anyOf 1any JSON valueFacultatif / élément—
sequence.items[].post.source_refanyOf 1 / anyOf 2nullRequis dans le parent—
sequence.items[].postanyOf 2nullRequis dans le parent—
sequence.items[].retry_allowedbooleanRequis dans le parent—
sequence.expected_versionsobjectRequis dans le parent
  • additionalProperties: {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}
sequence.expected_versions.*integerFacultatif / élément
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.actionsarrayRequis dans le parent
  • minItems: 2
  • maxItems: 2
sequence.actions[]objectFacultatif / élément—
sequence.actions[].actionstringRequis dans le parent
  • enum: ["resume","cancel"]
sequence.actions[].allowedbooleanRequis dans le parent—
sequence.actions[].reason_codestringRequis dans le parent
  • minLength: 1
  • maxLength: 80
sequence.actions[].messagestringRequis dans le parent
  • maxLength: 1000
replayedbooleanFacultatif / élément—
JSON Schema complet
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "sequence": {
      "type": "object",
      "properties": {
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "social_account_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "state": {
          "type": "string",
          "enum": [
            "draft",
            "admitted",
            "cancelled"
          ]
        },
        "item_count": {
          "type": "integer",
          "minimum": 2,
          "maximum": 25
        },
        "caption_preview": {
          "type": "string",
          "maxLength": 500
        },
        "created_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "updated_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "items": {
          "minItems": 2,
          "maxItems": 25,
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "item_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "ordinal": {
                "type": "integer",
                "minimum": 1,
                "maximum": 25
              },
              "draft": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "workspace_id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "revision": {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  "state": {
                    "type": "string",
                    "enum": [
                      "draft",
                      "submitting",
                      "submitted"
                    ]
                  },
                  "content": {
                    "type": "object",
                    "properties": {
                      "schemaVersion": {
                        "default": 1,
                        "type": "number",
                        "const": 1
                      },
                      "accountIds": {
                        "default": [],
                        "maxItems": 50,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        }
                      },
                      "caption": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "hashtags": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "assetIds": {
                        "default": [],
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "maxLength": 16,
                          "pattern": "^[1-9][0-9]*$"
                        }
                      },
                      "threadsTextOnly": {
                        "default": false,
                        "type": "boolean"
                      },
                      "threadsOptions": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REPOST"
                            ]
                          },
                          "reply_to_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "quote_post_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "repost_target_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "reply_control": {
                            "type": "string",
                            "enum": [
                              "everyone",
                              "accounts_you_follow",
                              "mentioned_only",
                              "parent_post_author_only",
                              "followers_only"
                            ]
                          },
                          "enable_reply_approvals": {
                            "type": "boolean"
                          },
                          "link_attachment": {
                            "type": "string",
                            "maxLength": 2048
                          },
                          "poll_attachment": {
                            "type": "object",
                            "properties": {
                              "option_a": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_b": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_c": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_d": {
                                "type": "string",
                                "maxLength": 25
                              }
                            },
                            "required": [
                              "option_a",
                              "option_b"
                            ]
                          },
                          "gif_attachment": {
                            "type": "object",
                            "properties": {
                              "gif_id": {
                                "type": "string",
                                "maxLength": 128
                              },
                              "provider": {
                                "type": "string",
                                "const": "GIPHY"
                              }
                            },
                            "required": [
                              "gif_id",
                              "provider"
                            ]
                          },
                          "text_attachment": {
                            "type": "object",
                            "properties": {
                              "plaintext": {
                                "type": "string",
                                "maxLength": 10000
                              },
                              "link_attachment_url": {
                                "type": "string",
                                "maxLength": 2048
                              },
                              "text_with_styling_info": {
                                "maxItems": 100,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "offset": {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "length": {
                                      "type": "integer",
                                      "exclusiveMinimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "styling_info": {
                                      "minItems": 1,
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "enum": [
                                          "bold",
                                          "italic",
                                          "highlight",
                                          "underline",
                                          "strikethrough"
                                        ]
                                      }
                                    }
                                  },
                                  "required": [
                                    "offset",
                                    "length",
                                    "styling_info"
                                  ]
                                }
                              }
                            },
                            "required": [
                              "plaintext"
                            ]
                          },
                          "topic_tag": {
                            "type": "string",
                            "maxLength": 50
                          },
                          "text_entities": {
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "entity_type": {
                                  "type": "string",
                                  "enum": [
                                    "SPOILER",
                                    "spoiler"
                                  ]
                                },
                                "offset": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "length": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "required": [
                                "entity_type",
                                "offset",
                                "length"
                              ]
                            }
                          },
                          "is_spoiler_media": {
                            "type": "boolean"
                          },
                          "is_ghost_post": {
                            "type": "boolean"
                          },
                          "location_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "allowlisted_country_codes": {
                            "minItems": 1,
                            "maxItems": 249,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "pattern": "^[A-Z]{2}$"
                            }
                          },
                          "crossreshare_to_ig": {
                            "type": "boolean"
                          },
                          "crossreshare_to_ig_dark_mode": {
                            "type": "boolean"
                          },
                          "auto_publish_text": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 20,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                },
                                "is_spoiler_media": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "asset_id"
                              ]
                            }
                          }
                        }
                      },
                      "instagramMode": {
                        "default": "REELS",
                        "type": "string",
                        "enum": [
                          "IMAGE",
                          "REELS",
                          "CAROUSEL",
                          "STORY_IMAGE",
                          "STORY_VIDEO"
                        ]
                      },
                      "youtubeTitle": {
                        "default": "",
                        "type": "string",
                        "maxLength": 100
                      },
                      "youtubePrivacy": {
                        "default": "private",
                        "type": "string",
                        "enum": [
                          "private",
                          "unlisted",
                          "public"
                        ]
                      },
                      "youtubeSynthetic": {
                        "default": false,
                        "type": "boolean"
                      },
                      "youtubeCategoryId": {
                        "default": "",
                        "type": "string",
                        "maxLength": 32
                      },
                      "youtubeShort": {
                        "default": false,
                        "type": "boolean"
                      },
                      "linkUrl": {
                        "default": "",
                        "type": "string",
                        "maxLength": 2048
                      },
                      "scheduledAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      },
                      "displayTimezone": {
                        "default": "UTC",
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "publishNow": {
                        "default": false,
                        "type": "boolean"
                      },
                      "destinationOverrides": {
                        "default": {},
                        "type": "object",
                        "propertyNames": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        },
                        "additionalProperties": {
                          "type": "object",
                          "properties": {
                            "caption": {
                              "type": "string",
                              "maxLength": 5000
                            },
                            "scheduledAt": {
                              "type": "string",
                              "maxLength": 64
                            }
                          }
                        }
                      },
                      "expiresAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      }
                    },
                    "required": [
                      "schemaVersion",
                      "accountIds",
                      "caption",
                      "hashtags",
                      "assetIds",
                      "threadsTextOnly",
                      "instagramMode",
                      "youtubeTitle",
                      "youtubePrivacy",
                      "youtubeSynthetic",
                      "youtubeCategoryId",
                      "youtubeShort",
                      "linkUrl",
                      "scheduledAt",
                      "displayTimezone",
                      "publishNow",
                      "destinationOverrides",
                      "expiresAt"
                    ]
                  },
                  "created_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "updated_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "submission": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "expected_revision": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "started_at": {
                            "type": "string",
                            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                            "format": "date-time"
                          },
                          "receipt": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "batch_id": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "format": "uuid",
                                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "successes": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "post_id": {
                                          "type": "string",
                                          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "post_id"
                                      ]
                                    }
                                  },
                                  "failures": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "code": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 160
                                        },
                                        "message": {
                                          "type": "string",
                                          "maxLength": 2000
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "code",
                                        "message"
                                      ]
                                    }
                                  }
                                },
                                "required": [
                                  "batch_id",
                                  "successes",
                                  "failures"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "expected_revision",
                          "started_at",
                          "receipt"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "brand_context": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "workspace_id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "selection": {
                            "type": "object",
                            "properties": {
                              "profile_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "version_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "revision": {
                                "type": "integer",
                                "exclusiveMinimum": 0,
                                "maximum": 9007199254740991
                              },
                              "content_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              },
                              "context_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              }
[...]
